<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form id="ds050cerfa15045" label="Organisateur de foires et salons : Achat-vente animaux" xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
	<group id="infosDeclaration" label="La déclaration">
		<data id="typeDeclaration" label="Type de déclaration" mandatory="true" type="Radios(inline:true)">
			<conftype>
				<referential>
					<text id="premiereDeclaration">Première déclaration</text>
					<text id="actualisation">Actualisation</text>
				</referential>
			</conftype>
		</data>
	</group>
	<group id="infosDeclarant" label="Le déclarant">
		<data id="nomRaisonSociale" label="Nom ou Raison sociale" mandatory="true" type="string">
        </data>
		<data id="siret" label="Siret" mandatory="true" type="SIRET" width="100%">
        </data>
		<data id="etablissement" label="L'établissement est-il situé à votre adresse ?" mandatory="true" type="Boolean">
			<value>yes</value>
		</data>
		<group id="cadreEtablissement" label="Adresse de l'établissement">
			<if>not $etablissement</if>
			<group id="cadreAdresse" label="Adresse">
				<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
				<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
				<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
				<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
				<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
				<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
				<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
					<value>
						<text id="FRXXXXX">France</text>
					</value>
				</data>
				<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
				<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
					<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
			</group>
		</group>
		<data id="exploitant" label="Etes-vous l'exploitant de l'établissement ?" mandatory="true" type="Boolean">
			<value>yes</value>
		</data>
		<group id="cadreExploitant" label="Informations sur l'exploitant de l'établissement">
			<if>not $exploitant</if>
			<group id="cadreIdentite" label="Identité">
				<data id="civilite" label="Civilité" mandatory="true" type="Radios(inline:true)">
					<conftype>
						<referential>
							<text id="civiliteFeminin">Madame</text>
							<text id="civiliteMasculin">Monsieur</text>
						</referential>
					</conftype>
				</data>
				<data id="nomNaissance" label="Nom de naissance" mandatory="true" type="String(max:50)">
        </data>
				<data id="nomUsage" label="Nom d'usage" mandatory="false" type="String(max:50)">
        </data>
				<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
        </data>
			</group>
			<group id="cadreContact" label="Coordonnnées de contact">
				<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
					<conftype>
						<referential>
							<text id="telephoneFixe">Téléphone fixe</text>
							<text id="telephoneMobile">Téléphone mobile</text>
						</referential>
					</conftype>
				</data>
				<group id="telephoneFixe" label="Téléphone fixe">
					<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
					<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
				</group>
				<group id="telephoneMobile" label="Téléphone mobile">
					<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
					<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
				</group>
				<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
				<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
			</group>
		</group>
		<group id="cadrePersonnel[]" label="Personnel qualifié" max-occurs="5">
			<data id="nom" label="Nom" mandatory="true" type="string(max:100)">
        </data>
			<data id="prenom" label="Prénom" mandatory="true" type="string(max:50)">
        </data>
			<data id="fonction" label="Fonction et/ou attribution" mandatory="true" type="string(max:100)">
        </data>
		</group>
	</group>
	<group id="infosActivite" label="L'activité">
		<data id="typeActivite" label="Type d'activité" mandatory="true" type="CheckBoxes">
			<conftype>
				<referential>
					<text id="vente">Vente</text>
					<text id="presentation">Présentation au public</text>
				</referential>
			</conftype>
		</data>
		<data id="especes" label="Espèces concernées" mandatory="true" type="CheckBoxes">
			<conftype>
				<referential>
					<text id="chiens">Chiens</text>
					<text id="chats">Chats</text>
					<text id="furets">Furets</text>
					<text id="lapins">Lapins</text>
					<text id="rongeurs">Rongeurs</text>
					<text id="oiseaux">Oiseaux</text>
					<text id="poissons">Poissons</text>
					<text id="autres">Autres</text>
				</referential>
			</conftype>
		</data>
		<data id="capaciteChiens" label="Capacité maximale d'hébergement pour les chiens" mandatory="true" type="integer">
			<if>Value('id').of(_group.especes).contains('chiens')</if>
		</data>
		<data id="capaciteChats" label="Capacité maximale d'hébergement pour les chats" mandatory="true" type="integer">
			<if>Value('id').of(_group.especes).contains('chats')</if>
		</data>
		<data id="capaciteFurets" label="Capacité maximale d'hébergement pour les furets" mandatory="true" type="integer">
			<if>Value('id').of(_group.especes).contains('furets')</if>
		</data>
		<data id="capaciteLapins" label="Capacité maximale d'hébergement pour les lapins" mandatory="true" type="integer">
			<if>Value('id').of(_group.especes).contains('lapins')</if>
		</data>
		<data id="capaciteRongeurs" label="Capacité maximale d'hébergement pour les rongeurs" mandatory="true" type="integer">
			<if>Value('id').of(_group.especes).contains('rongeurs')</if>
		</data>
		<data id="capaciteOiseaux" label="Capacité maximale d'hébergement pour les oiseaux" mandatory="true" type="integer">
			<if>Value('id').of(_group.especes).contains('oiseaux')</if>
		</data>
		<data id="capacitePoissons" label="Capacité maximale d'hébergement pour les poissons" mandatory="true" type="integer">
			<if>Value('id').of(_group.especes).contains('poissons')</if>
		</data>
		<data id="chiensChats" label="Informations complémentaires concernant les chiens et les chats" mandatory="true" type="CheckBoxes">
			<if>Value('id').of(_group.especes).contains('chiens') or Value('id').of(_group.especes).contains('chats')</if>
			<conftype>
				<referential>
					<text id="elevage">Elevage</text>
					<text id="fourriere">Fourrière</text>
					<text id="refuge">Refuge</text>
					<text id="transit">Transit</text>
					<text id="garde">Garde / Pension</text>
					<text id="education">Education</text>
					<text id="dressage">Dressage</text>
				</referential>
			</conftype>
		</data>
		<group id="autresEspeces" label="Autres espèces">
			<if>Value('id').of($especes).contains('autres')</if>
			<group id="cadreEspeces[]" label="Informations" max-occurs="4">
				<data id="nom" label="Nom" mandatory="true" type="string(max:100)">
        </data>
				<data id="capacite" label="Capacité maximale d'hébergement" mandatory="true" type="integer">
        </data>
			</group>
		</group>
		<group id="veterinaire" label="Informations sur le vétérinaire sanitaire">
			<data id="nom" label="Nom" mandatory="true" type="string(max:100)">
			</data>
			<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
			</data>
			<group id="cadreAdresse" label="Adresse">
				<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
				<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
				<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
				<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
				<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
				<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
				<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
					<value>
						<text id="FRXXXXX">France</text>
					</value>
				</data>
				<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
				<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
					<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
			</group>
		</group>
	</group>
	<group id="cadreIdentiteGroupe" label="Votre identité">
		<group id="cadreIdentite" label="Identité">
			<data id="civilite" label="Civilité" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="civiliteFeminin">Madame</text>
						<text id="civiliteMasculin">Monsieur</text>
					</referential>
				</conftype>
			</data>
			<data id="nomNaissance" label="Nom de naissance" mandatory="true" type="String(max:50)">
        </data>
			<data id="nomUsage" label="Nom d'usage" mandatory="false" type="String(max:50)">
        </data>
			<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
        </data>
		</group>
		<group id="cadreContact" label="Coordonnnées de contact">
			<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="telephoneFixe">Téléphone fixe</text>
						<text id="telephoneMobile">Téléphone mobile</text>
					</referential>
				</conftype>
			</data>
			<group id="telephoneFixe" label="Téléphone fixe">
				<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<group id="telephoneMobile" label="Téléphone mobile">
				<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
			<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
		</group>
		<group id="cadreAdresse" label="Adresse">
			<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
			<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
			<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
			<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
			<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
			<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
			<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
				<value>
					<text id="FRXXXXX">France</text>
				</value>
			</data>
			<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
			<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
				<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
		</group>
	</group>
	<group id="cadreSignatureGroupe" label="Votre signature">
		<group id="cadreSignature" label="Signature">
			<data id="soussigne" label="Je soussigné" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="signataireQualiteDeclarant">Le déclarant</text>
						<text id="signataireQualiteMandataire">Le mandataire ayant procuration</text>
					</referential>
				</conftype>
				<value>
					<text id="signataireQualiteDeclarant">Le déclarant</text>
				</value>
			</data>
			<data id="declarationHonneur" label="déclare sur l'honneur l'exactitude des informations saisies et signe la présente déclaration." type="BooleanCheckBox">
				<value>yes</value>
			</data>
			<group id="informationsMandataire" label="Coordonnées du mandataire">
				<if>Value('id').of($cadreSignature.soussigne).eq('signataireQualiteMandataire')</if>
				<data id="nomPrenomDenomination" label="Nom et prénom du mandataire ou dénomination sociale :" mandatory="true" type="String(max:100)"/>
				<group id="cadreAdresse" label="Adresse">
					<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
					<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
					<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
					<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
					<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
					<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
					<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
						<value>
							<text id="FRXXXXX">France</text>
						</value>
					</data>
					<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
					<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
					</data>
					<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
						<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
				</group>
			</group>
			<data id="signatureLieu" label="Fait à" mandatory="true" type="String(max:32)">
            </data>
			<data id="signatureDate" label="Le" mandatory="true" type="DatePast">
			</data>
		</group>
	</group>
</form>